> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.withpersona.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server.

# List all User Audit Logs

GET https://api.withpersona.com/api/v1/user-audit-logs

Returns a list of your organization’s user audit logs for up to the most recent 6 months.

Note: You must use a production API key to access this endpoint. For security reasons, we do not expose organization-level resources like user audit logs in Sandbox via API. Results are returned in reverse chronological order, with the most recently created objects first.

Reference: https://docs.withpersona.com/api-reference/user-audit-logs/list-all-user-audit-logs

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `page` (UserAuditLogsGetParametersPage, optional)
- `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

### Headers

- `Key-Inflection` (enum, optional) — Determines casing for the API response.
  - Allowed values: `camel`, `kebab`, `snake`
- `Idempotency-Key` (string, optional) — Ensures the request is idempotent.
- `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).
  - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18`

## Response

### 200

This endpoint returns a collection of User Audit Logs objects.

- `data` (list of user-audit-log, required)
- `links` (UserAuditLogsGetResponsesContentApplicationJsonSchemaLinks, required)
- `included` (list of user, optional) — Objects that will be returned by default unless otherwise specified using the `include` query parameter in the request.

## Errors

### 400 Bad Request Error

The request was unacceptable, often due to invalid parameters.

- `errors` (list of UserAuditLogsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

An invalid API key was provided.

- `errors` (list of UserAuditLogsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 403 Forbidden Error

The given API key doesn’t have permissions to perform the request or a quota has been exceeded.

- `errors` (list of UserAuditLogsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 404 Not Found Error

The requested resource doesn’t exist.

- `errors` (list of UserAuditLogsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 429 Too Many Requests Error

Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests.

- `errors` (list of UserAuditLogsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### UserAuditLogsGetParametersPage

- `after` (string, optional) — Object ID for pagination cursor
- `before` (string, optional) — Object ID for pagination cursor
- `size` (double, optional) — Limit on the number of objects returned

### user-audit-log

- `type` ("user-audit-log", optional)
- `id` (string, optional)
- `attributes` (UserAuditLogAttributes, optional)
- `relationships` (UserAuditLogRelationships, optional)

### UserAuditLogsGetResponsesContentApplicationJsonSchemaLinks

- `prev` (string, required, nullable)
- `next` (string, required, nullable)

### user

A User object

- `id` (string, optional)
- `attributes` (WorkflowRunIncludedObjectsItemsDiscriminatorMappingUserAttributes, optional)

### UserAuditLogsGetResponsesContentApplicationJsonSchemaErrorsItems

- `title` (string, optional)
- `details` (string, optional)

### UserAuditLogAttributes

- `path` (string, optional)
- `method` (string, optional)
- `get-params` (UserAuditLogAttributesGetParams, optional) — The GET params of the request. Schema depends on the action taken. Note: For large payloads, the value may appear as [FILTERED] to indicate redaction or truncation.
- `post-params` (UserAuditLogAttributesPostParams, optional) — The POST params of the request. Schema depends on the action taken. Note: For large payloads, the value may appear as [FILTERED] to indicate redaction or truncation.
- `ip-address` (string, optional)
- `user-agent` (string, optional)
- `response-status` (integer, optional)
- `created-at` (datetime, optional)
- `impersonator-email-address` (string, optional, nullable)
- `context` (UserAuditLogAttributesContext, optional) — Context of the audit log. Currently, this property is only present for dashboard inquiry creation audit logs -- when path is /api/internal/dashboard/v1/inquiries and method is POST.

### UserAuditLogRelationships

- `user` (UserAuditLogRelationshipsUser, optional)
- `user-session` (UserAuditLogRelationshipsUserSession, optional)

### WorkflowRunIncludedObjectsItemsDiscriminatorMappingUserAttributes

- `email-address` (string, optional)
- `name-first` (string, optional)
- `name-last` (string, optional)

### UserAuditLogAttributesGetParams

The GET params of the request. Schema depends on the action taken. Note: For large payloads, the value may appear as [FILTERED] to indicate redaction or truncation.

### UserAuditLogAttributesPostParams

The POST params of the request. Schema depends on the action taken. Note: For large payloads, the value may appear as [FILTERED] to indicate redaction or truncation.

### UserAuditLogAttributesContext

Context of the audit log. Currently, this property is only present for dashboard inquiry creation audit logs -- when path is /api/internal/dashboard/v1/inquiries and method is POST.

- `inquiry-id` (string, optional) — ID of the inquiry created -- this property is only present when path is /api/internal/dashboard/v1/inquiries and method is POST

### UserAuditLogRelationshipsUser

- `data` (UserAuditLogRelationshipsUserData, optional)

### UserAuditLogRelationshipsUserSession

- `data` (UserAuditLogRelationshipsUserSessionData, optional)

### UserAuditLogRelationshipsUserData

- `type` ("user", optional)
- `id` (string, optional)

### UserAuditLogRelationshipsUserSessionData

- `type` ("user-session", optional)
- `id` (string, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "type": "user-audit-log",
      "id": "ual_ABC123ABC",
      "attributes": {
        "path": "/api/v1/inquiries",
        "method": "GET",
        "get-params": {},
        "post-params": {},
        "ip-address": "127.0.0.1",
        "user-agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36",
        "response-status": 200,
        "created-at": "2023-10-03T21:31:05.163Z",
        "impersonator-email-address": null
      },
      "relationships": {
        "user": {
          "data": {
            "type": "user",
            "id": "user_ABC123"
          }
        },
        "user-session": {
          "data": {
            "type": "user-session",
            "id": "uses_ABC123"
          }
        }
      }
    },
    {
      "type": "user-audit-log",
      "id": "ual_ABC123XYZ",
      "attributes": {
        "path": "/api/internal/dashboard/v1/user-sessions/uses_ABC123/expire",
        "method": "GET",
        "get-params": {},
        "post-params": {
          "data": {
            "id": "uses_ABC123",
            "type": "user-session"
          }
        },
        "ip-address": "127.0.0.1",
        "user-agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36",
        "response-status": 200,
        "created-at": "2023-10-03T21:31:05.163Z",
        "impersonator-email-address": null
      },
      "relationships": {
        "user": {
          "data": {
            "type": "user",
            "id": "user_ABC123"
          }
        },
        "user-session": {
          "data": {
            "type": "user-session",
            "id": "uses_ABC123"
          }
        }
      }
    }
  ],
  "links": {
    "prev": null,
    "next": null
  },
  "included": [
    {
      "id": "user_ABC123",
      "attributes": {
        "email-address": "jane@doe.com",
        "name-first": "Jane",
        "name-last": "Doe"
      },
      "type": "user"
    }
  ]
}
```

**SDK Code**

```python Success
import requests

url = "https://api.withpersona.com/api/v1/user-audit-logs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Success
const url = 'https://api.withpersona.com/api/v1/user-audit-logs';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.withpersona.com/api/v1/user-audit-logs"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.withpersona.com/api/v1/user-audit-logs")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.withpersona.com/api/v1/user-audit-logs")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.withpersona.com/api/v1/user-audit-logs', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.withpersona.com/api/v1/user-audit-logs");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/user-audit-logs")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```